.main-section {
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    gap: 2.5rem; 
    background-color: azure;
}

.main-section .container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.main-description {
    max-width: 1000px;
    text-align: center;
}

.main-section h2 {
    font-size: 2.5rem;
    margin-bottom: 20px;
    font-weight: bold;
}

@media (max-width: 640px) {
    .main-title {
        font-size: 2.25rem;
    }
    
    .main-tagline {
        font-size: 1.125rem;
    }
}

.portfolio-section {
    padding: 10%px 0;
    background-color: azure;
}

.portfolio-section h2 {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 40px;
    color: #262c3a;
}

.portfolio-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 10fr));
    gap: 40px;
}

.portfolio-item {
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.portfolio-item:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.portfolio-item img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    display: block;
    transition: transform 0.5s ease;
}

.portfolio-item:hover img {
    transform: scale(1.05);
}
.modal {
  display: none; 
  position: fixed; 
  z-index: 1000; 
  padding-top: 60px; 
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%; 
  overflow: auto; 
  background-color: rgba(0,0,0,0.8); 
}

.modal-content {
  margin: auto;
  display: block;
  max-width: 80%;
  max-height: 80vh;
  border-radius: 8px;
  box-shadow: 0 10px 20px rgba(0,0,0,0.25);
}

.close {
  position: absolute;
  top: 20px;
  right: 40px;
  color: #fff;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
  transition: color 0.3s ease;
}

.close:hover {
  color: #bbb;
}

@media (max-width: 768px) {
    .portfolio-grid {
            grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
        }
        
        .photography-intro h1 {
            font-size: 2.2rem;
        }
        
        .photography-intro .tagline {
            font-size: 1.2rem;
        }
}

@media (max-width: 991px){
    .main-section h2{
        font-size: 1.8rem;
    }
}

@media (max-width: 991px){
    .portfolio-section h2{
        font-size: 1.8rem;
    }
}